#ifndef _STDARG_H
#define _STDARG_H

#if __OR1K__
typedef char *va_list;
#define va_start(ap,last) ap = ((char*)&(last))+4
#define va_arg(ap,type) __builtin_va_arg(&ap,type)
#define va_copy(dest, src) (dest) = (src)
#define va_end(ap)
#else
typedef __builtin_va_list va_list;
#define va_start __builtin_va_start
#define va_arg __builtin_va_arg
#define va_copy __builtin_va_copy
#define va_end __builtin_va_end

/* fix a buggy dependency on GCC in libio.h */
typedef va_list __gnuc_va_list;
#endif
#define _VA_LIST_DEFINED

#endif /* _STDARG_H */
